FreeBSD:php -- 多個弱點 (057bf770-cac4-11e0-aea3-00215c6a37bb)

high Nessus Plugin ID 55912

Synopsis

遠端 FreeBSD 主機缺少一個或多個安全性相關更新。

描述

PHP 開發團隊報告:

PHP 5.3.7 中的安全性增強和修正:

- 更新 crypt_blowfish 至 1.2 版。(CVE-2011-2483)

- 已修正 error_log() 中的損毀。報告者為 Mateusz Kocielski

- 已修正 crypt() 的 overlog salt 上的緩衝區溢位。

- 已修正錯誤 #54939 (RFC1867 檔案上傳檔案名稱中的檔案路徑插入弱點)。報告者為 Krzysztof Kotowicz。(CVE-2011-2202)

- 已修正 socket_connect() 中的堆疊型緩衝區溢位。(CVE-2011-1938)

- 已修正錯誤 #54238 (substr_replace() 中的釋放後使用弱點)。
(CVE-2011-1148)

解決方案

更新受影響的套件。

另請參閱

http://www.nessus.org/u?236b579e

Plugin 詳細資訊

嚴重性: High

ID: 55912

檔案名稱: freebsd_pkg_057bf770cac411e0aea300215c6a37bb.nasl

版本: 1.12

類型: local

已發布: 2011/8/20

已更新: 2021/1/6

風險資訊

VPR

風險因素: Medium

分數: 6.1

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:ND/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:freebsd:freebsd:php5, p-cpe:/a:freebsd:freebsd:php5-sockets, cpe:/o:freebsd:freebsd

必要的 KB 項目: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2011/8/20

弱點發布日期: 2011/8/18

參考資訊

CVE: CVE-2011-1148, CVE-2011-1938, CVE-2011-2202, CVE-2011-2483

BID: 49241